Download it now!
Bug 126394 - UI Impress, enhancement request: Allow changing animations for several objects at once
Summary: UI Impress, enhancement request: Allow changing animations for several object...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Srijan Bhatia
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Custom-Animations
  Show dependency treegraph
 
Reported: 2019-07-15 07:08 UTC by Lars Jødal
Modified: 2020-09-03 06:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Jødal 2019-07-15 07:08:46 UTC
Description:
Currently (LO 6.2.5.2), it is tedious to work with animations other than the standard "Appear", because animations can be changed only one object at a time. If more than one object is chosen, then most fields in the Animation window are greyed out. (Only "Start" can be changed for several objects at once.) To change animation effect or properties of the effect, you have to do it one object at a time.

It is suggested to add the possibility of choosing several objects and apply changes like choice of animation to all objects at the same time.

Steps to Reproduce:
1. Create an Impress slide with more than one object, e.g. a bullet list with more than entry.
2. Open animation window: View > Animation
3. Choose more than one object and add animation (which will by default be "Appear")


Actual Results:
The "Category" and most other other fields in the Animation window are greyed out. To choose a different animation, e.g. "Box", you have to choose only one object in the list.

Expected Results:
"Category" and relevant other fields should be active, allowing changes to the animation of several objects at a time.


Reproducible: Always


User Profile Reset: No



Additional Info:
A similar request is mentioned in the thread of bug 65331.

Version used was LO 6.2.5.2, but has also been tested in 6.3.0.1 rc with similar results.

Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: da-DK (da_DK); UI-Language: en-GB
Calc: threaded
Comment 1 Xisco Faulí 2019-11-15 11:52:36 UTC
it makes sense to me. I just tried in MSO Impress and it's possible
Comment 2 Xisco Faulí 2019-11-15 11:54:53 UTC
@Jim, I thought you might be interested in this enhancement...
Comment 3 Srijan Bhatia 2020-06-27 14:48:28 UTC
I'll be working on this.
Comment 4 Srijan Bhatia 2020-07-01 11:56:50 UTC
Submitted a patch
https://gerrit.libreoffice.org/c/core/+/97619
Comment 5 Commit Notification 2020-07-17 06:56:53 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d78d8a0648bbbbacabb0a3e809f8788b37b1396

tdf#126394 Allow changing animations for several objects at once

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Lars Jødal 2020-09-03 06:53:04 UTC
This works fine - thanks for the fix!

Tested with:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 4d33262b1b652b57f222c9f1cce7d976725399d4
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win
Locale: da-DK (da_DK); UI: da-DK
Calc: threaded